Bug 433826 - Konsole from kdebase 4.0.1 is crashing when trying to mark text
Konsole from kdebase 4.0.1 is crashing when trying to mark text
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-21 11:45 EST by Boyan Anastasov
Modified: 2008-02-23 08:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-23 08:36:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Backtrace after konsole crashed (4.26 KB, text/plain)
2008-02-21 11:45 EST, Boyan Anastasov
no flags Details
kdeglobals with which konsole is crashing (10.02 KB, application/octet-stream)
2008-02-22 15:22 EST, Boyan Anastasov
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 158263 None None None Never

  None (edit)
Description Boyan Anastasov 2008-02-21 11:45:43 EST
Description of problem:
When try to mark some text konsole is crashing. The backtrace is attached.

Version-Release number of selected component (if applicable):
Konsole from kdebase 4.0.1

How reproducible:
Every time

Steps to Reproduce:
1. Mark some text with double click or drag.
Actual results:
Konsole is crashing.

Expected results:
Marking the selected text and copying later somewhere.

Additional info:
This kde 4.0.1 is the first kde 4 release I'm testing, so I can't be sure what
version have the problem. The strange thing is that on another PC with the same
version of kde the problem does not appear.
Comment 1 Boyan Anastasov 2008-02-21 11:45:43 EST
Created attachment 295536 [details]
Backtrace after konsole crashed
Comment 2 Rex Dieter 2008-02-21 11:55:46 EST
fwiw, I can't reproduce this on my x86_64 box.
Comment 3 Boyan Anastasov 2008-02-22 15:22:30 EST
Created attachment 295673 [details]
kdeglobals with which konsole is crashing
Comment 4 Boyan Anastasov 2008-02-22 15:24:47 EST
Made some tests - created another user, konsole is not crashing. Then started to
move some directories from $HOME/.kde and managed to not crash the konsole when
moved away $HOME/.kde/share/config/kdeglobals.
I've attached the file.
Comment 5 Boyan Anastasov 2008-02-22 15:32:38 EST
Yes, it looks like this options causes the problem:


If removed konsole is not crashing.
Comment 6 Rex Dieter 2008-02-22 15:39:53 EST
No joy here, and I can toggle that option on/off in klipper, and still can't
Comment 7 Boyan Anastasov 2008-02-22 18:58:17 EST
To reproduce it please make sure the option is actually enabled when changing in
klipper, because I couldn't make it from there. Instead I had to edit the file
to make sure it is set to true. I'm not sure but it seems there is some cache of
the optioins if you have other konsoles started. Make sure all konsoles are
closed after changing the option to true and start konsole again. It will crash.
Comment 8 Rex Dieter 2008-02-22 19:39:00 EST
Fair nuf, if you've got a reproducible crasher, reporting this to the kde dev's
at bugs.kde.org would be the best way for it to get fixed.
Comment 9 Boyan Anastasov 2008-02-23 05:44:05 EST
OK, I've created bugreport there:
Comment 10 Rex Dieter 2008-02-23 08:36:48 EST
Thanks!  We'll continue to track it there.

Note You need to log in before you can comment on or make changes to this bug.